Bug 30829 - Integration of UCC
Integration of UCC
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UCC
UCS@school 3.1
Other Linux
: P5 enhancement (vote)
: UCS@school 3.1 R2 Errata
Assigned To: Sönke Schwardt-Krummrich
Erik Damrose
:
: 20441 24066 (view as bug list)
Depends on: 30830
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 11:10 CET by Sönke Schwardt-Krummrich
Modified: 2013-08-15 09:45 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-03-20 11:10:49 CET
The integration of UCC clients in UCS@school shall be tested by a practical proof-of-concept. This includes the iTALC management functions.
Comment 1 Erik Damrose univentionstaff 2013-04-03 11:21:47 CEST
issues found after a short test:
- artifacts in transmitted screen-preview images
- 100% cpu utilization when lockscreen is active
- it can take up to 15 secondes before the lockscreen activates and deactivates.
Comment 2 Stefan Gohmann univentionstaff 2013-06-24 14:55:34 CEST
We should provide a version of UCC which is integrated in UCS@school. The following things should be supported:
 - Import via import scripts 
 - Printer moderation
 - Internet on / off
 - Share handling

And of course product tests and documentation.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2013-07-11 09:04:01 CEST
*** Bug 20441 has been marked as a duplicate of this bug. ***
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2013-07-11 09:04:33 CEST
*** Bug 24066 has been marked as a duplicate of this bug. ***
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2013-07-23 14:23:06 CEST
The ini file within the app center has to be updated. The description should contain a hint, which (errata)version of UCC and UCS have to be used.
The changelog file has also to be prepared (README_UPDATE should refer to the PDF file).
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2013-07-26 12:39:00 CEST
(In reply to Sönke Schwardt-Krummrich from comment #5)
> The ini file within the app center has to be updated. The description should
> contain a hint, which (errata)version of UCC and UCS have to be used.
> The changelog file has also to be prepared (README_UPDATE should refer to
> the PDF file).

- ini file has been updated
- Errata 156 is required
- Changelog PDF has been prepared but is not available online yet
- README_UPDATE has been added to App
- UCC-Errata are online
Comment 7 Erik Damrose univentionstaff 2013-07-29 11:44:33 CEST
> - ini file has been updated
- OK
> - Errata 156 is required
- A note is added to the App description - OK
> - Changelog PDF has been prepared but is not available online yet
- Changelog OK and available 
> - README_UPDATE has been added to App
- OK, contains a link to the changelog
> - UCC-Errata are online
- OK

OK - Features: Import via import scripts, Printer moderation (partially, see Bug #32009), Internet on / off, Share handling is supported 

OK - UCS@School documentation is updated to the current version and online
OK - UCS@School available in and installable from App Center
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2013-08-15 09:45:50 CEST
UCS@school 3.1 R2-1 has been released:
http://download.univention.de/doc/release-notes-ucsschool-3.1-rev2-1.pdf

If this error occurs again, please use "Clone This Bug".